<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class Stories_Form_Admin_Background_Zipupload extends Engine_Form {

  public function init() {
  
    $this->setTitle('Upload zipped folder of the background images')
            ->setDescription('');

    $this->addElement('File', 'file', array(
        'allowEmpty' => false,
        'required' => true,
        "accept"=>".zip,application/zip,application/x-zip-compressed",
        'label' => 'Choose Folder',
        'description' => 'Below, choose a zipped folder background images. [Note: folder with extension: ".zip" only.]',
    ));
    $this->file->addValidator('Extension', false, 'zip');
    
    $this->addElement('Button', 'submit', array(
      'label' => 'Upload File',
      'type' => 'submit',
      'ignore' => true,
      'decorators' => array('ViewHelper')
    ));
    $this->addElement('Cancel', 'cancel', array(
        'label' => 'Cancel',
        'link' => true,
        'prependText' => ' or ',
        'onclick' => 'javascript:parent.Smoothbox.close()',
        'decorators' => array(
            'ViewHelper',
        ),
    ));
    $this->addDisplayGroup(array('submit', 'cancel'), 'buttons');
  }
}
